Sub AppBegin()
	
	' Show all errors
	SetErrorMode(2)
	
	' set Window properties
	SetWindowTitle("Hello World")
	SetWindowSize(1024,768,0)
	SetWindowAllowResize(1) ' allow the user to resize the window
	
	' set display properties
	SetVirtualResolution(1024,768) 'doesn't have to match the window
	SetOrientationAllowed(1,1,1,1) 'allow both portrait and landscape on mobile
	SetSyncRate(30,0) ' 30fps instead of 60 to save battery
	SetScissor(0,0,0,0) 'use the maximum available screen space, no black borders
	UseNewDefaultFonts(1) 'since version 2.0.22 we can use nicer default fonts
	
End Sub

Function AppLoop()
    If GetRawKeyPressed(27) Then End
    Print("Hello World")
    Print ( ScreenFPS() )
	Sync()
	Function = 0
End Function

Sub AppEnd()
	
End Sub
